[pkg-kolab] r123 - in trunk/libkolab-perl/debian: . patches

Noel Koethe noel at costa.debian.org
Mon Jan 9 15:38:03 UTC 2006


Author: noel
Date: 2006-01-09 15:38:02 +0000 (Mon, 09 Jan 2006)
New Revision: 123

Added:
   trunk/libkolab-perl/debian/patches/
   trunk/libkolab-perl/debian/patches/00list
   trunk/libkolab-perl/debian/patches/10-Kolab.pm.dpatch
Modified:
   trunk/libkolab-perl/debian/changelog
   trunk/libkolab-perl/debian/control
   trunk/libkolab-perl/debian/rules
Log:
fix init startups of Kolab.pm

Modified: trunk/libkolab-perl/debian/changelog
===================================================================
--- trunk/libkolab-perl/debian/changelog	2006-01-09 15:20:19 UTC (rev 122)
+++ trunk/libkolab-perl/debian/changelog	2006-01-09 15:38:02 UTC (rev 123)
@@ -1,3 +1,10 @@
+libkolab-perl (0.9.2-2) unstable; urgency=low
+
+  * upload to unstable
+  * added dpatch to fix init startups of Kolab.pm
+
+ -- Noèl Köthe <noel at debian.org>  Mon, 09 Jan 2006 16:12:14 +0100
+
 libkolab-perl (0.9.2-1) experimental; urgency=low
 
   * Initial release

Modified: trunk/libkolab-perl/debian/control
===================================================================
--- trunk/libkolab-perl/debian/control	2006-01-09 15:20:19 UTC (rev 122)
+++ trunk/libkolab-perl/debian/control	2006-01-09 15:38:02 UTC (rev 123)
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Kolab Maintainers <pkg-kolab-devel at lists.alioth.debian.org>
 Uploaders: Noèl Köthe <noel at debian.org>, Steffen Jöris <steffen.joeris at skolelinux.de>
-Build-Depends: debhelper (>= 4.0.0)
+Build-Depends: debhelper (>= 4.0.0), dpatch
 Standards-Version: 3.6.2
 
 Package: libkolab-perl

Added: trunk/libkolab-perl/debian/patches/00list
===================================================================
--- trunk/libkolab-perl/debian/patches/00list	2006-01-09 15:20:19 UTC (rev 122)
+++ trunk/libkolab-perl/debian/patches/00list	2006-01-09 15:38:02 UTC (rev 123)
@@ -0,0 +1 @@
+10-Kolab.pm.dpatch

Added: trunk/libkolab-perl/debian/patches/10-Kolab.pm.dpatch
===================================================================
--- trunk/libkolab-perl/debian/patches/10-Kolab.pm.dpatch	2006-01-09 15:20:19 UTC (rev 122)
+++ trunk/libkolab-perl/debian/patches/10-Kolab.pm.dpatch	2006-01-09 15:38:02 UTC (rev 123)
@@ -0,0 +1,128 @@
+#!/bin/sh -e
+## 10-perl-path-fixes.dpatch by Steffen Joeris <steffen.joeris at skolelinux.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Here we correct the pathes of kolab.
+
+if [ $# -lt 1 ]; then
+echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+      -patch) patch $patch_opts -p0 < $0;;
+      -unpatch) patch $patch_opts -p0 -R < $0;;
+      *)
+      echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+      exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- Kolab/Kolab.pm.bak	2006-01-09 15:39:44.000000000 +0100
++++ Kolab/Kolab.pm	2006-01-09 15:44:46.000000000 +0100
+@@ -82,12 +82,12 @@
+         &log('C', 'Unable to determine the kolab root directory', KOLAB_ERROR);	
+ 	$error = 1;
+     } else {
+-        %config = readConfig(%config, "$tempval/etc/kolab/kolab.globals");
++        %config = readConfig(%config, "/etc/kolab/kolab.globals");
+         $config{'prefix'} = $tempval;
+     }
+ 
+     # Now read `kolab.conf', overwriting values read from `kolab.globals'
+-    %config = readConfig(\%config, "$tempval/etc/kolab/kolab.conf");
++    %config = readConfig(\%config, "/etc/kolab/kolab.conf");
+ 
+ #    $config{'log_level'} = KOLAB_WARN if (!exists $config{'log_level'});
+     &log('C', 'Reloading configuration');
+@@ -126,7 +126,7 @@
+ 
+     # Make a hash of the bind password available too
+     if( !exists $config{'bind_pw_hash'} ) {
+-      my $hashcmd = $config{'prefix'}."/sbin/slappasswd -s '".$config{'bind_pw'}."'";
++      my $hashcmd = "/usr/sbin/slappasswd -s '".$config{'bind_pw'}."'";
+       $config{'bind_pw_hash'} = `$hashcmd`;
+       chomp($config{'bind_pw_hash'});
+     }
+@@ -382,50 +382,50 @@
+ 
+     if ($haschanged{'slapd'}) {
+         &log('K', 'Restarting OpenLDAP...');
+-        system("$prefix/bin/openpkg rc openldap restart &");
++        system("/etc/init.d/slapd restart &");
+     }
+ 
+     if ($haschanged{'saslauthd'}) {
+         &log('K', 'Restarting SASLAuthd...');
+-        system("$prefix/bin/openpkg rc sasl stop; sleep 1; $prefix/sbin/saslauthd -a ldap -n 5");
++        system("/etc/init.d/saslauthd restart");
+     }
+ 
+     if ($haschanged{'apache'}) {
+         &log('K', 'Reloading Apache...');
+-        system("$prefix/sbin/apachectl graceful");
++        system("/etc/init.d/apache2 graceful");
+     }
+ 
+     if ($haschanged{'postfix'}) {
+         &log('K', 'Reloading Postfix...');
+-        system("$prefix/sbin/postfix reload");
++        system("/etc/init.d/postfix reload");
+     }
+ 
+     if ($haschanged{'imapd'}) {
+         &log('K', 'Restarting imapd...');
+-        system("$prefix/bin/openpkg rc imapd restart");
++        system("/etc/init.d/kolab-cyrus restart");
+     }
+ 
+-    if ($haschanged{'amavisd'}) {
+-        &log('K', 'Restarting amavisd...');
+-        system("$prefix/bin/openpkg rc amavisd restart");
+-    }
+-
+-    if ($haschanged{'clamav'}) {
+-        &log('K', 'Restarting clamav...');
+-        system("$prefix/bin/openpkg rc clamav restart");
+-    }
+-
+-    if ($config{'proftpd-ftp'} =~ /true/i) {
+-        Kolab::log('K', 'Starting ProFTPd if not running');
+-        system("$prefix/bin/openpkg rc proftpd start");
+-        if ($haschanged{'proftpd'}) {
+-            &log('K', 'Reloading ProFTPd...');
+-            kill('SIGHUP', `cat $prefix/var/proftpd/proftpd.pid`);
+-        }
+-    } else {
+-        &log('K', 'Stopping ProFTPd, if running...');
+-        system("$prefix/bin/openpkg rc proftpd stop");
+-    }
++    #if ($haschanged{'amavisd'}) {
++    #    &log('K', 'Restarting amavisd...');
++    #    system("$prefix/bin/openpkg rc amavisd restart");
++    #}
++
++    #if ($haschanged{'clamav'}) {
++    #    &log('K', 'Restarting clamav...');
++    #    system("$prefix/bin/openpkg rc clamav restart");
++    #}
++
++    #if ($config{'proftpd-ftp'} =~ /true/i) {
++    #    Kolab::log('K', 'Starting ProFTPd if not running');
++    #    system("$prefix/bin/openpkg rc proftpd start");
++    #    if ($haschanged{'proftpd'}) {
++    #        &log('K', 'Reloading ProFTPd...');
++    #        kill('SIGHUP', `cat $prefix/var/proftpd/proftpd.pid`);
++    #    }
++    #} else {
++    #    &log('K', 'Stopping ProFTPd, if running...');
++    #    system("$prefix/bin/openpkg rc proftpd stop");
++    #}
+ 
+     %Kolab::Conf::haschanged = ();
+ 


Property changes on: trunk/libkolab-perl/debian/patches/10-Kolab.pm.dpatch
___________________________________________________________________
Name: svn:executable
   + *

Modified: trunk/libkolab-perl/debian/rules
===================================================================
--- trunk/libkolab-perl/debian/rules	2006-01-09 15:20:19 UTC (rev 122)
+++ trunk/libkolab-perl/debian/rules	2006-01-09 15:38:02 UTC (rev 123)
@@ -9,12 +9,14 @@
 	dh_testdir
 	# extract tar.gz and build them
 	for i in Kolab*.tar.gz;do tar xvfz $$i; done
+	dpatch apply-all
 	for i in `find . -type d -name "Kolab*"`; do cd $$i && perl Makefile.PL && make && cd ..; done
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
+	dpatch deapply-all
 	rm -f build-stamp
 	# Add here commands to clean up after the build process.
 	find . -type d -name "Kolab*"|xargs rm -rf




More information about the pkg-kolab-devel mailing list